mav_SMSCallbackObjectContainsSet(3)

NAME
mav_SMSCallbackObjectContainsSet - Set/execute SMS callback to query if SMS contains a specific object.

LEVEL
Maverik Level 3

SYNTAX
void mav_SMSCallbackObjectContainsSet(MAV_SMSClass *sc, MAV_SMSCallbackObjectContainsFn fn);

int mav_SMSCallbackObjectContainsExec(MAV_SMS *s, MAV_object *o, int *cnt);

DESCRIPTION
mav_SMSCallbackObjectContainsSet sets the "SMS contains object" callback function for SMS class sc to be fn. fn is a function which when executed (by mav_SMSCallbackObjectContainsExec), returns MAV_TRUE in cnt if object *o is present in SMS s, otherwise MAV_FALSE.